# $Revision: 1.25 $, $Date: 2011/02/23 18:02:52 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	version
Summary:	version - Perl extension for Version Objects
Summary(pl.UTF-8):	version - rozszerzenie Perla dla obiektów wersji
Name:		perl-version
Version:	0.88
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JP/JPEACOCK/%{pdir}-%{version}.tar.gz
# Source0-md5:	5f27f21c625fa2f89f4130e277594635
URL:		http://search.cpan.org/dist/version/
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.45
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Overloaded version objects for all versions of Perl. This module
implements all of the features of version objects which will be part
of Perl 5.10.0 except automatic version object creation.

%description -l pl.UTF-8
Przeciążone obiekty wersji dla wszystkich wersji Perla. Ten moduł
implementuje wszystkie możliwości obiektów wersji, które będą częścią
Perla 5.10.0, z wyjątkiem automatycznego tworzenia obiektu wersji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version/Internals.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version
%{perl_vendorarch}/version/vxs.pm
%dir %{perl_vendorarch}/auto/version
%dir %{perl_vendorarch}/auto/version/vxs
%attr(755,root,root) %{perl_vendorarch}/auto/version/vxs/vxs.so
%{perl_vendorarch}/auto/version/vxs/vxs.bs
%{_mandir}/man3/version*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-version.spec,v $
Revision 1.25  2011/02/23 18:02:52  qboosh
- use package name for Test::More
- removed no longer used perl-Module-Build BR

Revision 1.24  2011/02/11 10:54:44  lisu
- up to 0.88
- build using Makefile.pl instead of Build.pl
- more verbose man files

Revision 1.23  2010/11/25 09:49:56  hawk
- epoch 1 because version 0.7702 > 0.85

Revision 1.22  2010/11/14 17:19:38  sls
- ver. 0.85

Revision 1.21  2010/11/12 23:38:09  pawelz
- release 3

Revision 1.20  2010/06/06 08:44:22  arekm
- release 2

Revision 1.19  2009/10/08 11:44:52  amateja
- updated to 0.7702

Revision 1.18  2008/11/10 22:37:24  glen
- up to 0.76

Revision 1.17  2008/03/25 21:34:31  qboosh
- generic URL

Revision 1.16  2008-02-23 21:59:04  glen
- release 3

Revision 1.15  2008-02-10 12:23:21  arekm
- rel 2

Revision 1.14  2007-11-13 13:08:13  hawk
- updated to 0.74
- BR perl-ExtUtils-CBuilder

Revision 1.13  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.11  2007/01/05 17:33:29  wrobell
- fixed md5, rel. 2

Revision 1.10  2007/01/05 17:29:27  wrobell
- ver. 0.68

Revision 1.9  2007/01/05 16:59:18  wrobell
- now, really release 2 :/

Revision 1.8  2007/01/05 16:47:12  wrobell
- added missing dir
- rel. 2

Revision 1.7  2006/05/29 06:59:57  blaass
- ver up to 0.63

Revision 1.6  2006/02/15 22:24:18  glen
- up to 0.53

Revision 1.5  2005/07/27 21:42:21  radek
- version 0.44

Revision 1.4  2005/07/18 11:17:02  radek
- BR: perl-Module-Build

Revision 1.3  2005/07/18 11:16:25  radek
- version 0.43, switched to Module::Build

Revision 1.2  2004/11/03 21:12:51  qboosh
- pl, cosmetics

Revision 1.1  2004/11/03 12:45:30  radek
- new
